summary refs log tree commit diff
path: root/pkgs/misc/tex/nix/run-latex.sh
diff options
context:
space:
mode:
authorEelco Dolstra <eelco.dolstra@logicblox.com>2010-03-15 10:02:24 +0000
committerEelco Dolstra <eelco.dolstra@logicblox.com>2010-03-15 10:02:24 +0000
commiteb083a3999de866133bbf50522e98c3d816066e0 (patch)
tree8abe1cc84514dab3ffadfe25c46faff4f27ce391 /pkgs/misc/tex/nix/run-latex.sh
parent295d24927432c46e7ef55832617a258c8387b21d (diff)
downloadnixpkgs-eb083a3999de866133bbf50522e98c3d816066e0.tar
nixpkgs-eb083a3999de866133bbf50522e98c3d816066e0.tar.gz
nixpkgs-eb083a3999de866133bbf50522e98c3d816066e0.tar.bz2
nixpkgs-eb083a3999de866133bbf50522e98c3d816066e0.tar.lz
nixpkgs-eb083a3999de866133bbf50522e98c3d816066e0.tar.xz
nixpkgs-eb083a3999de866133bbf50522e98c3d816066e0.tar.zst
nixpkgs-eb083a3999de866133bbf50522e98c3d816066e0.zip
* Increase `max_print_line' to prevent TeX from breaking lines at 79
  characters, which is stupid.  (For instance, it breaks grepping for
  words when they are broken across multiple lines.)
* Print warnings in the condensed log output.

svn path=/nixpkgs/trunk/; revision=20625
Diffstat (limited to 'pkgs/misc/tex/nix/run-latex.sh')
-rw-r--r--pkgs/misc/tex/nix/run-latex.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/pkgs/misc/tex/nix/run-latex.sh b/pkgs/misc/tex/nix/run-latex.sh
index ecce893950b..1db41f3c336 100644
--- a/pkgs/misc/tex/nix/run-latex.sh
+++ b/pkgs/misc/tex/nix/run-latex.sh
@@ -2,6 +2,9 @@ source $stdenv/setup
 
 ensureDir $out
 
+export TEXMFCNF=$TMPDIR:
+echo 'max_print_line = 8192' >> $TMPDIR/texmf.cnf
+
 mkdir root
 cd root
 
@@ -125,6 +128,10 @@ else
 fi
 
 
+echo "WARNINGS:"
+cat $tmpFile | grep "Warning:" | grep -v "Citation.*undefined" || true
+
+echo
 echo "OVERFULL/UNDERFULL:"
 cat $tmpFile | egrep "Overfull|Underfull" || true